Name:           gobby
Version:        0.3.0
Release:        6%{?dist}
Summary:        Free collaborative editor

Group:          Applications/Internet
License:        GPL
URL:            http://gobby.0x539.de
Source0:        http://releases.0x539.de/gobby/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libxml++-devel, gtksourceview-devel, gtkmm24-devel, obby-devel
BuildRequires:  desktop-file-utils

Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description
Gobby is a free collaborative editor. This means that it provides you with the
possibility to edit files simultaneously with other users over a network. It
supports multiple documents in one session and a multi-user chat. The platforms
on which you could use Gobby are so far Microsoft Windows, Linux, Mac OS X and
other Unix-like ones. Developed with the Gtk+ toolkit it integrates nicely into
the GNOME desktop environment if you want it to.


%prep
%setup -q


%build
%configure --with-gnome
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --vendor fedora                            \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications         \
        --add-category X-Fedora                                 \
        --delete-original                                       \
        $RPM_BUILD_ROOT%{_datadir}/applications/gobby.desktop


%post
update-desktop-database &> /dev/null ||:

%postun
update-desktop-database &> /dev/null ||:


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README NEWS AUTHORS COPYING ChangeLog TODO
%{_bindir}/gobby
%{_datadir}/applications/fedora-gobby.desktop
%{_datadir}/pixmaps/*


%changelog
* Thu Aug 03 2006 Luke Macken <lmacken@redhat.com> - 0.3.0-6
- Remove find_lang macro since no translations can be found

* Thu Aug 03 2006 Luke Macken <lmacken@redhat.com> - 0.3.0-5
- Rebuild for new gtkmm (Bug #201172)

* Tue Jun 27 2006 Luke Macken <lmacken@redhat.com> - 0.3.0-3
- Rebuild

* Tue Jan 10 2006 Luke Macken <lmacken@redhat.com> - 0.3.0-2
- Rebuild

* Sun Jan 08 2006 Luke Macken <lmacken@redhat.com> - 0.3.0-1
- 0.3.0

* Wed Oct 12 2005 Luke Macken <lmacken@redhat.com> - 0.2.2-6
- Update Summary

* Mon Oct 10 2005 Luke Macken <lmacken@redhat.com> - 0.2.2-5
- Use desktop-file-install to install the desktop file

* Mon Oct 10 2005 Luke Macken <lmacken@redhat.com> - 0.2.2-4
- Add desktop-file-utils to Requires(post/postun) and remove howl-devel BR

* Fri Oct 07 2005 Luke Macken <lmacken@redhat.com> - 0.2.2-3
- Build with gnome support
- Remove unnecessary BuildRequires

* Wed Oct 05 2005 Luke Macken <lmacken@redhat.com> - 0.2.2-2
- Use find_lang macro

* Thu Sep 29 2005 Luke Macken <lmacken@redhat.com> - 0.2.2-1
- Packaged for Fedora Extras
